I am making a basic sweep in Revit, it made of 2 lines and then I filleted the corner to make a curved corner, and when I select the sweep to Dynamo, I get a circle instead of a curved corner!!
Any idea why?? and what is the solutions??
Many thanks to you in advance
import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript import Geometry as gm
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)
#Input
f = UnwrapElement(IN)[0]
# Get Profile and sketch path of sweep
path = gm.PolyCurve.ByJoinedCurves([l.ToProtoType() for l in f.PathSketch.Profile])
profile = gm.PolyCurve.ByJoinedCurves([l.ToProtoType() for l in f.ProfileSketch.Profile])
# Build the solid....
OUT = gm.Solid.BySweep(profile,path)
Mate!! I cannot thank you enough!!!
I do really appreciate your help.
I am wondering what do you advise to learn Python!!??
I am an architect and I teach Computer Graphic Application at Uni, I have my YouTube Channel teaching AutoCAD, Revit and Dynamo for free, now after this curve issue I will start focusing on Dynamo and Revit in the same time. so if you have an architectural source for Python or anything you recommend, I will be more thankful